Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008131opensim[REGION] OpenSim Corepublic2017-02-17 04:312017-03-31 14:15
Reporterdanbanner 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusnewResolutionopen 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0008131: Offline messages failing using OfflineMessageModule
DescriptionUpdating plazas from 056ccae (jan 27) to 07c3962 (feb 2) and offline messages are failing to be stored.
Steps To Reproduceupdate and send a message to offline user
TagsNo tags attached.
Git Revision or version number07c3962
Run Mode Grid (1 Region per Sim)
Physics EngineODE, BulletSim, ubODE
EnvironmentMono / Linux64
Mono Version3.2
Viewerany
Attached Files

- Relationships

-  Notes
(0031607)
danbanner (manager)
2017-02-17 04:34

The "User is not logged in. Message saved." is never seen and when I login the user that was offline they never get the message that was supposed to be stored
(0031608)
BillBlight (developer)
2017-02-17 14:27
edited on: 2017-02-17 14:31

I am seeing a very similar issue, (although I am using jopensim for offline messages), this worked fine before the latest master. Now I get an xml error on the console, but my messages are saved because they are using jopensim, but I do not see the "User is not logged in. Message saved." message.

So I do believe it is the same problem.

I know this error here states jopensim, but I think it is because of the same issue, as the offline message is never returned ..

---------
17:29:31 - [SynchronousRestObjectRequester]: Invalid XML from POST http://www.opensim.life/components/com_opensim/interface.php/SaveMessage/?scope=00000000-0000-0000-0000-000000000000 [^] OpenSim.Region.CoreModules.Avatar.InstantMessage.SendReply
--------

(0031609)
BillBlight (developer)
2017-02-17 14:37

just did a test on of my empty regions, brought it up on , 056ccae, no other config changes, and the error does not occur ... Just for verification.
(0031610)
BillBlight (developer)
2017-02-18 15:34

The problem is in this commit ...

http://opensimulator.org/viewgit/?a=commitdiff&p=opensim&h=1e0ed50d29ac89e8f2d41872967a30b7963cf0ba [^]

Seems to break all the old offline IM services ...
(0031611)
BillBlight (developer)
2017-02-18 16:00

CONFIRMED , undoing the changes in the commit I posted corrects the issues

Simply undoing them or using a OpenSim/Region/CoreModules/Avatar/InstantMessage/OfflineMessageModule.cs

From one commit previous corrects the problem.
(0031612)
danbanner (manager)
2017-02-18 22:20

Ya i see that.. The problem seems to be
-// current opensim and osgrid compatible
- bool success = SynchronousRestObjectRequester.MakeRequest<GridInstantMessage, bool>(
- "POST", m_RestURL+"/SaveMessage/", im, 10000);
-// current opensim and osgrid compatible end
+ SendReply reply = SynchronousRestObjectRequester.MakeRequest<GridInstantMessage, SendReply>(
+ "POST", m_RestURL+"/SaveMessage/?scope=" +
+ scene.RegionInfo.ScopeID.ToString(), im);

I'll probably just revert to the previous build unless this gets resolved soon
(0031613)
BillBlight (developer)
2017-02-18 22:24

I reverted just OfflineMessageModule.cs and all seems to be fine, since those seemed to be the only changes in it ..
(0031619)
BillBlight (developer)
2017-03-03 05:37

So I guess this is not going to get any official attention ... I'll create a patch later and attach it ..
(0031660)
UbitUmarov (administrator)
2017-03-30 08:34

made the new offline im code optional and disabled by default.
offline servers should update, supporting both formats if possible.
The format can be detected by the presence of scopeID on the request path
(0031662)
ssm2017 (reporter)
2017-03-31 03:25

for the record :
we (at FrancoGrid) are using OfflineMessaging V2 with the 07c3962 0.9.1.0 Dev on the grid side.

@Austin, the v2 is not managing messages the same way as v1 (php version).
the content is not structured on the same way.

at FrancoGrid, to be able to send offline ims to email, we are using a "relay" (d4os_io_offline_messages_relay).

when receiving an offline im, the relay script is forwarding the content of the message to the grid and is waiting for a response of the grid like : '<?xml version="1.0"?><ServerResponse><RESULT>True</RESULT></ServerResponse>'
if the response is this one, it is forwarded to the simulator and the email is sent.
if not, the message : '<?xml version="1.0"?><ServerResponse><RESULT>False</RESULT></ServerResponse>' is sent back to the simulator.

i have not seen any issue with that and our offline im mechanism is working (not tested on hg).

note : both the grid and the simulators are configured to use offlineIm V2 (some simulators using 0.8.2.1 and some using 0.9-rc2 and some using 07c3962 0.9.1.0 Dev (win or linux mono 4.6.2.16)
(0031663)
BillBlight (developer)
2017-03-31 03:44
edited on: 2017-03-31 03:47

This issue did not affect V2 Offline messages .

It was essentially removing V1 messaging in favor of V2.

(0031666)
danbanner (manager)
2017-03-31 13:24
edited on: 2017-03-31 13:25

This mantis has absolutely nothing to do with v2 offline messaging module... Ubit's commit simply added back and made configurable the method that Melanie removed in her previous commit. I hope this configurability did not get removed.

(0031667)
BillBlight (developer)
2017-03-31 13:27

danbanner, it looks like ubits commit vanished, was not reverted, just removed .

This is very sad indeed ...
(0031668)
aiaustin (developer)
2017-03-31 13:40

I can see Ubit's change at 2017-03-30 15:27 in the branch labelled "master"

http://opensimulator.org/viewgit/?a=shortlog&p=opensim&h=refs/heads/master&pg=1 [^]

but for some reason the "melanie" branch is currently showing as the default one at the URL I ususally use for the current dev master... at

http://opensimulator.org/viewgit/?a=shortlog&p=opensim [^]
(0031669)
BillBlight (developer)
2017-03-31 14:01

Thanks aiaustin, I had just noticed it was the melanie branch not the master, and was confused ..
(0031670)
danbanner (manager)
2017-03-31 14:02

ya lol seems master and melanie branches might have got swapped

http://opensimulator.org/viewgit/?a=shortlog&p=opensim&h=refs/heads/master&pg=0 [^]

looks a lot different than

http://opensimulator.org/viewgit/?a=shortlog&p=opensim&h=HEAD&pg=0 [^]
(0031671)
danbanner (manager)
2017-03-31 14:09

git checkout master will fix the problem until head is fixed
(0031672)
BillBlight (developer)
2017-03-31 14:10

Or I was just going to post ..

git reset --hard master
(0031673)
danbanner (manager)
2017-03-31 14:13

all fixed now
(0031674)
UbitUmarov (administrator)
2017-03-31 14:15

A git glitch Melanie just fixed

- Issue History
Date Modified Username Field Change
2017-02-17 04:31 danbanner New Issue
2017-02-17 04:34 danbanner Note Added: 0031607
2017-02-17 14:27 BillBlight Note Added: 0031608
2017-02-17 14:31 BillBlight Note Edited: 0031608 View Revisions
2017-02-17 14:37 BillBlight Note Added: 0031609
2017-02-18 15:34 BillBlight Note Added: 0031610
2017-02-18 16:00 BillBlight Note Added: 0031611
2017-02-18 22:20 danbanner Note Added: 0031612
2017-02-18 22:24 BillBlight Note Added: 0031613
2017-03-03 05:37 BillBlight Note Added: 0031619
2017-03-30 08:34 UbitUmarov Note Added: 0031660
2017-03-31 02:50 aiaustin Note Added: 0031661
2017-03-31 02:51 aiaustin Note Edited: 0031661 View Revisions
2017-03-31 03:25 ssm2017 Note Added: 0031662
2017-03-31 03:44 BillBlight Note Added: 0031663
2017-03-31 03:45 BillBlight Note Edited: 0031663 View Revisions
2017-03-31 03:47 BillBlight Note Edited: 0031663 View Revisions
2017-03-31 04:03 aiaustin Note Added: 0031664
2017-03-31 04:03 aiaustin Note Edited: 0031664 View Revisions
2017-03-31 11:53 BillBlight Note Added: 0031665
2017-03-31 12:40 BillBlight Note Edited: 0031665 View Revisions
2017-03-31 13:24 danbanner Note Added: 0031666
2017-03-31 13:25 danbanner Note Edited: 0031666 View Revisions
2017-03-31 13:27 BillBlight Note Added: 0031667
2017-03-31 13:40 aiaustin Note Added: 0031668
2017-03-31 13:50 aiaustin Note Deleted: 0031664
2017-03-31 13:50 aiaustin Note Deleted: 0031661
2017-03-31 14:01 BillBlight Note Added: 0031669
2017-03-31 14:02 danbanner Note Added: 0031670
2017-03-31 14:09 danbanner Note Added: 0031671
2017-03-31 14:10 BillBlight Note Added: 0031672
2017-03-31 14:13 danbanner Note Added: 0031673
2017-03-31 14:15 UbitUmarov Note Added: 0031674
2017-03-31 14:19 BillBlight Note Deleted: 0031665


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker